Bug 536213 - (RHQ-588) The name of dynagroup should not be editable from the link "Group Definition's Managed Resource Group "DynaGroup -"
The name of dynagroup should not be editable from the link "Group Definition...
Status: CLOSED NEXTRELEASE
Product: RHQ Project
Classification: Other
Component: Inventory (Show other bugs)
1.0.1
All All
low Severity medium (vote)
: ---
: ---
Assigned To: Joseph Marques
Jeff Weiss
http://jira.rhq-project.org/browse/RH...
: SubFeature
Depends On:
Blocks: RHQ-399
  Show dependency treegraph
 
Reported: 2008-06-17 13:29 EDT by Wilfred Itte
Modified: 2014-11-09 17:50 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Wilfred Itte 2008-06-17 13:29:00 EDT
-when i create a new group, and give it's name say "jongroup",  then  Group Definition's Managed Resource Group now will have a "Dynagroup -jongroup". 
-Now when i click Edit and change the name of the group to "jongroup1", it reflects on the Dynagroup as well "DynaGroup - jongroup1". 
- Now if i click on the "DynaGroup - jongroup1" link and edit it's name there to "DynaGroup- jon201group1", the changes are saved and it can be seen in the group definition name. Now group name is "jongroup1" and Dyname group name is "jon201group"
- Now if i edit the group name again , "jonAgroup1", then Dynagroup shows it's name as DynaGroup - jonA201group1 

i think the when we click on  Group Definition's Managed Resource Group "DynaGroup -"  link , it's name should'nt be editable
Comment 1 Joseph Marques 2008-08-11 09:13:42 EDT
rev1213 - make general properties section for DynaGroups read-only; 
edit button is replaced with an informative message; 
Comment 2 Jeff Weiss 2008-08-25 16:01:25 EDT
<jweiss> joseph: http://jira.rhq-project.org/browse/RHQ-588 - the way it's working now is when you rename the dynagroup, the calculated name doesn't change.  so if i name my group "zxzxz", the calc'd group will be named "Dynagroup - zxzxz" forever, even if i change the name to "jeff". 
 i think the fix wilfred had in mind was also to keep the names synced, in addition to only being able to edit it in one place.
<joseph> jweiss: hmm....yeah, that makes sense
<joseph> i think i followed his suggesiton too literally
<jweiss> ok, i'll kick it back to ya

Comment 3 Jeff Weiss 2008-08-25 16:06:14 EDT
The dynagroup name is no longer editable, there is a message in place of the edit button explaining why.  rev1250.
Comment 4 Red Hat Bugzilla 2009-11-10 16:12:29 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-588
This bug relates to RHQ-756

Note You need to log in before you can comment on or make changes to this bug.